package imp.parser;

import imp.slicer.Cfg;
import imp.slicer.PrintNode;
import imp.util.Util;

public class PrintStmt extends Stmt {
    public Exp exp; 
    
    public PrintStmt(Loc from, Exp exp) {
    	super(from);
    	this.exp = exp; 
    }
    
    public String toString(int i) {
    	String locStr = from.toString();
    	String expStr = exp.toString();
    	String indStr = Util.makeIndentStr(i);
    	return locStr+indStr+"PRINT("+expStr+")";
    }
    
    public String toString() {
    	return this.toString(0);
    }
    
    public Cfg toCfg(int i) {
    	PrintNode n = new PrintNode(this, i, from);
    	return new Cfg(n, n);
    }
    
} // public class PrintStmt extends Stmt 
