package imp.slicer;

import imp.parser.Loc;
import imp.util.Util;
import imp.util.VarIdSet;

public class ProgramEndNode extends EndNode {
	public ProgramBeginNode programBeginNode; 
	
    public ProgramEndNode(Loc l, int i, ProgramBeginNode beginNode) {
    	super(l, i);
    	this.programBeginNode = beginNode;
    }

    public String toString() {
		String locStr = loc.toString();
		String indStr = Util.makeIndentStr(indentLevel);
		return locStr + indStr + "END";
	}
    
    public String toString(Node stopNode) {
    	if (this != stopNode) 
    		return this.toString();
    	else 
    		return "";
    }
    
    /** Fill in this method
     */
    public void computeDRVars(Node cNode, VarIdSet cVars) {	
    }
    
} // public class AssignNode extends Node
