package imp.parser;

public class BinExp extends Exp {
    public String op;
    public Exp leftExp;
    public Exp rightExp;
    public BinExp(String op, Exp leftExp, Exp rightExp) {
    	super();
    	this.op = op; 
    	this.leftExp = leftExp; 
    	this.rightExp = rightExp; 
    }
    public String toString () {
    	String leftExpStr = leftExp.toString();
    	String rightExpStr = rightExp.toString();
    	return "("+leftExpStr+op+rightExpStr+")";
    }
} // public class BinExp extends Exp

