package imp.parser;

import imp.slicer.Cfg;
import imp.slicer.SkipNode;
import imp.util.Util;

public class SkipStmt extends Stmt {
	
	public SkipStmt(Loc loc) {
		super(loc);
	}
	
	public String toString(int i) {
		String locStr = from.toString();
	    String indStr = Util.makeIndentStr(i);
	    return locStr+indStr+"SKIP";
	}
	
	public String toString() {
		return this.toString(0);
	}
	
	public Cfg toCfg(int i) {
	    SkipNode n = new SkipNode(this, i, from);
	    return new Cfg(n, n);
	}
	
} // public class SkipStmt extends Stmt 
