package imp.slicer;

import imp.util.VarIdSet;

public class Cfg {
    public Node first;
    public Node last;
    
    public Cfg() {
    	this.first = null;
    	this.last = null;
    }
    
    public Cfg(Node f, Node l) {
    	this.first = f;
    	this.last = l;
    }
    
    public String toString() {
    	String str = first.toString(last);
    	return str + last.toString();
    }
    
    // returns the string representation of the slice
    public String toStringUsingRelevant() {
    	String str = first.toStringUsingRelevant(last);
    	return str = str + last.toString();
    }
    
    public void computeSlice(Node cNode, VarIdSet cVars) {
    	cNode.computeDRVars(cNode, cVars);
    }
    
} // public class Cfg 
