package imp.slicer;

import imp.parser.Exp;
import imp.parser.Loc;

/** Super class for all test nodes in IMP: 
 * IfThenNode, IfThenElseNode, WhileTestNode,
 * RepeatTestNode. 
 * All these nodes have one successor.
 */
public abstract class TestNode extends Node {
    public Exp test;
    
    public TestNode(Loc l, Exp test, int i) {
      super(i, l);
      this.test = test;
    }
  
} // public class TestNode extends Node 
